[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.FieldDef

Fielddef associated with this field

## Declaration

Source position: db.pas line 440

`public property TField.FieldDef : TFieldDef read FFieldDef;`

## Description

FieldDef references the TFieldDef instance to which this field instance is bound. When a dataset is opened, the TDataset.FieldDefs property is filled with field definitions as returned from the server. After this fields are created, or if they already exist, are bound to these fielddefs.

## See also

TDataset.FieldDefs |  | Definitions of available fields in the underlying database